AllCops:
  TargetRubyVersion: 2.7
  NewCops: disable
  SuggestExtensions: false
  Exclude:
    - 'bin/**/*'
    - 'tmp/**/*'

Metrics/ParameterLists:
  Exclude:
    - 'lib/devfile.rb' # nearly all methods has parameter list longer than 5

Metrics/BlockLength:
  Exclude:
    - 'spec/*_spec.rb' # nearly all spec files go over 25 lines